Diagnostics
All operations require authentication.
Get the account diagnosisAlpha
Returns the results of the last diagnosis of the email account: account locked, suspended or flagged as spammer, login with its credentials, MX and SRV records, and sending and receiving of emails.
Path parameters
Service
Response
Determines if ingoing message has been received
Determines if outgoing message has been delivered
Determines if possible to authenticate with credentials
Determines if account is locked
Determines if MX record for account's domain is properly set
Determines if account is flagged as spammer
Determines if SRV (autodiscovery) record for account's domain is properly set
Determines if account is suspended
Last performed diagnostics date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ diagnostics \
-H "authorization: Bearer $OVH_TOKEN"{ "canReceiveEmail": true, "canSendEmail": true, "connectiveWebmail": true, "isLocked": true, "isMxValid": true, "isSpammer": true, "isSrvValid": true, "isSuspended": true, "lastCheck": "2024-01-01T12:00:00Z"}
Run an account diagnosisProduction
Run an account diagnosis. Starts a diagnosis of the email account, which requires the account password, and returns the task.
Path parameters
Default email for this mailbox
The internal name of your pro organization
Request body (required)
Account password
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ account/ {email}/ diagnostics \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}